#!/bin/perl5.8

=head1 Name

Dredu::Multi --- Dredu for Multiple Record

	Created: 2011-11-09
	Updated: 2011-11-13: New function input_multi().

=head1 Usage

use Dredu::Multi;

=cut

package Dredu::Multi;

use Dredu;
use Exporter ();
@ISA = qw(Dredu Exporter);
@EXPORT = qw( input_multi ) ;


=head1 Functions

=head2 input_multi( $ref, @a ) - Return an array of the references for data objects

	Argument: $ref = Reference for an array of the data objects
		@a = Data array for input()
	Return: An array of the references for data objects

=cut

sub input_multi {
	my ( $ref, @record ) = @_ ;
	my @ret;
	foreach( 0..$#record ){
		my $p = $$ref[$_];
		my @v = split( "\t", $record[$_] );
		$p -> input( @v ) ;
		push @ret, $p;
	}
	@ret;
}

=head1 Methods

=head2 set_variables(@vars) - set variables and reference for the variables

	Argument: list of variable names
	All variables are annonymous scalar

=cut

sub  set_variables {
	my ( $self, @arg ) = @_;
	die ( "set_variables() is an instance method, not for the $self class.")  unless ref($self);
	if( @arg ){
		$self->{variables} = \@arg;
	}

	if( @{ $self->{variables} } ){
		my( $v, $vname );
		foreach $v ( @{ $self->{variables} } ) {
			my $r;
			$self->{var}{$v} = \$r;
		}
	}
	else {
		die ( "No variables list.") ;
	}
	
	@{ $self->{variables} };
}

# ********************************
1;	# end
# ********************************


=head1 Author

=over 4

=item B<TANAKA Sigeto> <tsigeto@nik.sal.tohoku.ac.jp>

Graduate School of Arts and Letters, Tohoku University

Kawauti 27-1, Aoba Ku, Sendai, Miyagi, 980-8576 JAPAN

WWW: http://www.sal.tohoku.ac.jp/~tsigeto/

=back

=head1 Copyright

	Copyright (c) 2007 TANAKA Sigeto

You may use, duplicate, revise, or redistribute 
this script, without permission from the copyright holder.

=cut
